//
// dpdk ntdrv_4ga.h
//

/*
 * %NT_SOFTWARE_LICENSE%
 */


#ifndef __NTDRV_4GA_H__
#define __NTDRV_4GA_H__

//
//
//
#include "nthw_drv.h"
#include "nt4ga_adapter.h"
#include "nthw_platform_drv.h"


//
//
//
typedef struct Ntdrv_4ga_s
{
  //
  uint32_t pciident; // 
                     //       but also in FpgaInfo_s.
                     //       Is it OK to have this type of
                     //       data in multiple structs or
                     //       should we delete this member?
                     //       Also consider whether HwInfo_s
                     //       would be a better place for
                     //       pciident

  //
  struct AdapterInfo_s adapter_info;
  //
  char* pDrvName;
  //
  //
  volatile bool bShutdown;
  //
  pthread_mutex_t stat_lck;
  pthread_t stat_thread;
  //
  pthread_t flm_thread;
  //
} Ntdrv_4ga_t;

//
//
//
#endif // __NTDRV_4GA_H__

//
// EOF
//
