//
// dpdk ntos_system.h
//

#ifndef __NTOS_SYSTEM_H__
#define __NTOS_SYSTEM_H__

//
//
//
#include "include/ntdrv_4ga.h"

//
//
//

//
// struct Drv_s for DPDK (clone of kernel struct)
//
// keep it as close as possible to orginal kernel struct
//
struct Drv_s
{
  //
  int adapterNo; // ????? uint32_t adapterNo;
  //
  struct rte_pci_device* pDev;
  //
  // ntdrv 4ga
  struct Ntdrv_4ga_s ntdrv;

  //
  int nEthDevInitCount;
  //
  int probe_finished;
};


//
//
//
#endif // __NTOS_SYSTEM_H__

//
// EOF
//
