//
// nthw_fpga_rst.h
//


#ifndef __NTHW_FPGA_RST_H__
#define __NTHW_FPGA_RST_H__

//
#include "nthw_drv.h"
//
#include "nthw_fpga_model.h"
//
#include "nthw_rac.h"
#include "nthw_iic.h"
//
//
#include "nthw_fpga_rst_nt200a0x.h"
#include "nthw_fpga_rst_nt50b0x.h"
//

//
// Defines:
//

#define nthw_wait_locked_true(func)  \
{ \
  int timeout = 10000; \
  do { locked = func; \
    timeout--; \
    if (timeout <= 0) { \
      NT_LOG(ERR, NTHW, "Timeout waiting for %s\n", #func); \
      return -1; \
    } \
    NtOs_WaituSec(100); \
  } while (!locked); \
}

//
// Functions:
//



//
//
//
#endif // __NTHW_FPGA_RST_H__

//
// EOF
//
