//
// nthw_hst.h
//


/*
 * %NT_SOFTWARE_LICENSE%
 */

#ifndef NTHW_HST_H_
#define NTHW_HST_H_

#include "nthw_fpga_model.h"
//
//
//
struct NthwHst
{
  //
  Fpga_t* mpFpga;
  //
  Module_t* mpModHst;
  //
  int mnInstance;
  //
  int mnHstCategories;
  //
  Register_t* mpRegRcpCtrl;
  Field_t* mpFldRcpCtrlAdr;
  Field_t* mpFldRcpCtrlCnt;
  //
  Register_t* mpRegRcpData;
  Field_t* mpFldRcpDataStripMode;
  Field_t* mpFldRcpDataStartDyn;
  Field_t* mpFldRcpDataStartOfs;
  Field_t* mpFldRcpDataEndDyn;
  Field_t* mpFldRcpDataEndOfs;
  Field_t* mpFldRcpDataModif0Cmd;
  Field_t* mpFldRcpDataModif0Dyn;
  Field_t* mpFldRcpDataModif0Ofs;
  Field_t* mpFldRcpDataModif0Value;
  Field_t* mpFldRcpDataModif1Cmd;
  Field_t* mpFldRcpDataModif1Dyn;
  Field_t* mpFldRcpDataModif1Ofs;
  Field_t* mpFldRcpDataModif1Value;
  Field_t* mpFldRcpDataModif2Cmd;
  Field_t* mpFldRcpDataModif2Dyn;
  Field_t* mpFldRcpDataModif2Ofs;
  Field_t* mpFldRcpDataModif2Value;




  //
};

typedef struct NthwHst NthwHst_t;
typedef struct NthwHst NthwHst;

//
//
//
NthwHst_t* NthwHst_new(void);
void NthwHst_delete(NthwHst_t* p);
int NthwHst_init(NthwHst_t *p, Fpga_t *pFpga, int nInstance);
//
int NthwHst_setup(NthwHst_t* p);
//

//
//
//
#endif // NTHW_HST_H_

//
// EOF
//
