//
// nthw_pci_ta.h
//


/*
 * %NT_LICENSE%
 */


#ifndef __NTHW_PCI_TA_H__
#define __NTHW_PCI_TA_H__


//
//
//
struct NthwPciTa
{
  Fpga_t* mpFpga;
  //
  Module_t* mpModPciTa;
  //
  int mnInstance;
  //
  int mnParamPciTaTgPresent;
  //
  Register_t* mpRegPciTaCtrl;
  Field_t* mpFldPciTaCtrlEnable;
  Register_t* mpRegPciTaPacketGood;
  Field_t* mpFldPciTaPacketGoodAmount;
  Register_t* mpRegPciTaPacketBad;
  Field_t* mpFldPciTaPacketBadAmount;
  Register_t* mpRegPciTaLengthError;
  Field_t* mpFldPciTaLengthErrorAmount;
  Register_t* mpRegPciTaPayloadError;
  Field_t* mpFldPciTaPayloadErrorAmount;
  //
};

typedef struct NthwPciTa NthwPciTa_t;
typedef struct NthwPciTa NthwPciTa;

//
//
//
NthwPciTa_t* NthwPciTa_new(void);
void NthwPciTa_delete(NthwPciTa_t* p);
int NthwPciTa_init(NthwPciTa_t* p, Fpga_t* pFpga, int nInstance);
//
void NthwPciTa_setControlEnable(NthwPciTa_t* p, uint32_t val);
void NthwPciTa_getPacketGood(NthwPciTa_t* p, uint32_t* val);
void NthwPciTa_getPacketBad(NthwPciTa_t* p, uint32_t* val);
void NthwPciTa_getLengthError(NthwPciTa_t* p, uint32_t* val);
void NthwPciTa_getPayloadError(NthwPciTa_t* p, uint32_t* val);

//
//
//

#endif // __NTHW_PCI_TA_H__

//
// EOF
//
