//
// nthw_pcm_nt50b01_v01.h
//

/*
 * %NT_SOFTWARE_LICENSE%
 */

#ifndef NTHW_PCM_NT50B01_V01_H_
#define NTHW_PCM_NT50B01_V01_H_

//
//
//
//
//
//
struct NthwPcm_nt50b01_v1
{
  Fpga_t* mpFpga;
  //
  Module_t* mpModPcm;
  //
  int mnInstance;
  //

  Register_t* mpRegCtrl;
  Field_t* mpFldCtrlTsClkSel;
  Field_t* mpFldCtrlTsMmcmRst;

  Register_t* mpRegStat;
  Field_t* mpFldStatTsMmcmLocked;

  Register_t* mpRegLatch;
  Field_t* mpFldLatchTsMmcmLocked;

};

typedef struct NthwPcm_nt50b01_v1 NthwPcm_nt50b01_v1_t;
typedef struct NthwPcm_nt50b01_v1 NthwPcm_nt50b01_v1;

//
//
//

//
//
//
NthwPcm_nt50b01_v1_t* NthwPcm_nt50b01_v1_new(void);
void NthwPcm_nt50b01_v1_delete(NthwPcm_nt50b01_v1_t* p);
int NthwPcm_nt50b01_v1_init(NthwPcm_nt50b01_v1_t* p, Fpga_t* pFpga, int nInstance);
//


//
//
//
#endif // NTHW_PCM_NT50B01_V01_H_

//
// EOF
//
