//
// // nthw_prm_nt50b01_v01.h
//

/*
 * %NT_SOFTWARE_LICENSE%
 */

#ifndef NTHW_PRM_NT50B01_V01_H_
#define NTHW_PRM_NT50B01_V01_H_

//
//
//
//
//
//
struct NthwPrm_nt50b01_v1
{
  Fpga_t* mpFpga;
  //
  Module_t* mpModPrm;
  //
  int mnInstance;
  //
  Register_t* mpRegRst;
  Field_t* mpFldRstPeriph;
  Field_t* mpFldRstPlatform;

  Register_t* mpRegPower;
  Field_t* mpFldPowerPuPhy;
  Field_t* mpFldPowerPuNseb;


};

typedef struct NthwPrm_nt50b01_v1 NthwPrm_nt50b01_v1_t;
typedef struct NthwPrm_nt50b01_v1 NthwPrm_nt50b01_v1;

//
//
//

//
//
//
NthwPrm_nt50b01_v1_t* NthwPrm_nt50b01_v1_new(void);
void NthwPrm_nt50b01_v1_delete(NthwPrm_nt50b01_v1_t* p);
int NthwPrm_nt50b01_v1_init(NthwPrm_nt50b01_v1_t* p, Fpga_t* pFpga, int nInstance);
//


//
//
//
#endif // NTHW_PRM_NT50B01_V01_H_

//
// EOF
//
