//
// nthw_sdc.h
//

/*
 * %NT_SOFTWARE_LICENSE%
 */


//
//
//

#ifndef __NTHW_SDC_H__
#define __NTHW_SDC_H__


//
//
//
struct NthwSdc
{
  Fpga_t* mpFpga;
  //
  Module_t* mpModSdc;
  //
  int mnInstance;
  //
  Field_t* mpFldCtrlInit;
  Field_t* mpFldCtrlRunTest;
  Field_t* mpFldCtrlStopClient;
  Field_t* mpFldCtrlTestEnable;
  //
  Field_t* mpFldStatCalib;
  Field_t* mpFldStatCellCntStopped;
  Field_t* mpFldStatErrFound;
  Field_t* mpFldStatInitDone;
  Field_t* mpFldStatMmcmLock;
  Field_t* mpFldStatPllLock;
  Field_t* mpFldStatResetting;
  //
  Field_t* mpFldCellCnt;
  //
  Field_t* mpFldCellCntPeriod;
  //
  Field_t* mpFldFillLEvel;
  //
  Field_t* mpFldMaxFillLevel;
  //

};


typedef struct NthwSdc NthwSdc_t;
typedef struct NthwSdc NthwSdc;


//
//
//
NthwSdc_t* NthwSdc_new(void);
int NthwSdc_init(NthwSdc_t* p, Fpga_t* pFpga, int nInstance);
void NthwSdc_delete(NthwSdc_t* p);
//
int NthwSdc_WaitStates(NthwSdc_t* p, const int nPollIterations, const int nPollInterval);
int NthwSdc_GetStates(NthwSdc_t* p, uint64_t* pnResultMask);


//
//
//
#endif // __NTHW_SDC_H__

//
// EOF
//

