#!/usr/bin/env bash

NT_PF_NUM_ARRAY=($NT_PF_NUM)
NT_PF_DEV_ARRAY=($NT_PF_DEV)

DPDK_ARGS=""
APP_BIN="dpdk-inline_upf_demo"
APP_MEM=2048
APP_CPU="1-4"


if [ "$NT_PF_DEV" != "" ] ; then
        #
        # 'inline_test' app will be executed
        #
        echo "POD Configuration from Napatech Device Plugin for resource 'napatech.com/nt_pf: 1"
        echo "  NT_PF_DEV =       $NT_PF_DEV"
        DPDK_ARGS="--vfio-vf-token=14d63f20-8445-11ea-8900-1f9ce7d5650d -a ${NT_PF_DEV_ARRAY[0]}"
else
        echo "ERROR: configuration from Napatech Device Plugin is not available."
        exit 1
fi

# Command line
cmd="${APP_BIN} -l ${APP_CPU} -n 4 --file-prefix=${NT_DPDK_PREFIX} --socket-mem=${APP_MEM} ${DPDK_ARGS}"

# Call the command
echo "Executing: ${cmd}"
${cmd}
