//
// nthw_mac_tx.h
//

/*
 * %NT_SOFTWARE_LICENSE%
 */

//
//
//
#ifndef NTHW_MAC_TX_H_
#define NTHW_MAC_TX_H_



//
//
//
struct NthwMacTx
{
  Fpga_t* mpFpga;
  //
  Module_t* mpModMacTx;
  //
  int mnInstance;

  //
  uint32_t mFirstValue;
  uint32_t mLarstValue;
  uint64_t mAddValue;
  bool mFirstTime;

  //
  Field_t* mpFldTotalPacketsCount;
  Field_t* mpFldTotalGoodPacketsCount;
  //
  Field_t* mpFldPacketSmallCount;
  //
  Field_t* mpFldTotalBytesCount;
  Field_t* mpFldTotalGoodBytesCount;
  //
};

typedef struct NthwMacTx NthwMacTx_t;
typedef struct NthwMacTx NthwMacTx;

//
//
//
NthwMacTx_t* NthwMacTx_new(void);
void NthwMacTx_delete(NthwMacTx_t* p);
int NthwMacTx_init(NthwMacTx_t *p, Fpga_t *pFpga, int nInstance);
//
uint64_t NthwMacTx_getBadFcsCount(NthwMacTx_t* p);
uint64_t NthwMacTx_getTotalBytesCount(NthwMacTx_t* p);
uint64_t NthwMacTx_getTotalGoodBytesCount(NthwMacTx_t* p);
uint64_t NthwMacTx_getTotalPacketsCount(NthwMacTx_t* p);
uint64_t NthwMacTx_getTotalGoodPacketsCount(NthwMacTx_t* p);
uint64_t NthwMacTx_getPacketSmallCount(NthwMacTx_t* p);
uint64_t NthwMacTx_getPacketBadFcsCount(NthwMacTx_t* p);
//
//
//
#endif // NTHW_MAC_TX_H_

//
// EOF
//
