//
// nthw_msk.h
//


/*
 * %NT_SOFTWARE_LICENSE%
 */

#ifndef NTHW_MSK_H_
#define NTHW_MSK_H_


//
//
//
struct NthwMsk
{
  //
  Fpga_t* mpFpga;
  //
  Module_t* mpModMsk;
  //
  int mnInstance;
  //
  int mnMskCategories;
  //
  Register_t* reg_msk_rcp_ctrl;
  Field_t* fld_msk_rcp_ctrl_adr;
  Field_t* fld_msk_rcp_ctrl_cnt;
  //
  Register_t* reg_msk_rcp_data;
  Field_t* fld_msk_rcp_data_mask_en0;
  Field_t* fld_msk_rcp_data_mask_dyn0;
  Field_t* fld_msk_rcp_data_mask_ofs0;
  Field_t* fld_msk_rcp_data_mask_len0;
  Field_t* fld_msk_rcp_data_mask_en1;
  Field_t* fld_msk_rcp_data_mask_dyn1;
  Field_t* fld_msk_rcp_data_mask_ofs1;
  Field_t* fld_msk_rcp_data_mask_len1;
  Field_t* fld_msk_rcp_data_mask_en2;
  Field_t* fld_msk_rcp_data_mask_dyn2;
  Field_t* fld_msk_rcp_data_mask_ofs2;
  Field_t* fld_msk_rcp_data_mask_len2;
  Field_t* fld_msk_rcp_data_mask_en3;
  Field_t* fld_msk_rcp_data_mask_dyn3;
  Field_t* fld_msk_rcp_data_mask_ofs3;
  Field_t* fld_msk_rcp_data_mask_len3;





  //
};

typedef struct NthwMsk NthwMsk_t;
typedef struct NthwMsk NthwMsk;

//
//
//
NthwMsk_t* NthwMsk_new(void);
void NthwMsk_delete(NthwMsk_t* p);
int NthwMsk_init(NthwMsk_t *p, Fpga_t *pFpga, int nInstance);
//
int NthwMsk_setup(NthwMsk_t* p);
//

//
//
//
#endif // NTHW_MSK_H_

//
// EOF
//
