//
// nthw_debug.h
//

#ifndef NTHW_DEBUG_H_
#define NTHW_DEBUG_H_

//
//
//
#include <inttypes.h>

//
//
//
#include "nthw_fpga_model.h"

//
//
//
typedef int (*nthw_debug_cmd_ctl_func_t)(struct FpgaInfo_s* pFpgaInfo, FILE* pfh, const char cmd, const int arg_cnt, uint64_t args[]);
int nthw_debug_cmd_ctl(struct FpgaInfo_s* pFpgaInfo, FILE* pfh, const char cmd, const int arg_cnt, uint64_t args[]);
int nthw_debug_cmd_loop(struct FpgaInfo_s* pFpgaInfo, nthw_debug_cmd_ctl_func_t pFunc, int ifd, int ofd);
void* nthw_debug_reg_access_thread_fn(void* pVoidCtx);

//
//
//
int DebugOnlyNthwReadData(struct FpgaInfo_s* pFpgaInfo, int nBusTypeId, uint32_t addr, uint32_t len, uint32_t* pData);
int DebugOnlyNthwWriteData(struct FpgaInfo_s* pFpgaInfo, int nBusTypeId, uint32_t addr, uint32_t len, const uint32_t* pData);

//
//
//
#endif // NTHW_DEBUG_H_


//
// EOF
//
