#ifndef NTNIC_XSTATS_H_
#define NTNIC_XSTATS_H_

int nthw_xstats_get_names(struct rte_eth_xstat_name *xstats_names, unsigned size, bool is_vswitch);
int nthw_xstats_get(Nt4gaStat_t* pNt4gaStat, struct rte_eth_xstat *stats, unsigned n, bool is_vswitch, uint8_t port);
void nthw_xstats_reset(Nt4gaStat_t* pNt4gaStat, bool is_vswitch, uint8_t port);
int nthw_xstats_get_names_by_id(struct rte_eth_xstat_name *xstats_names, const uint64_t *ids, unsigned size, bool is_vswitch);
int nthw_xstats_get_by_id(Nt4gaStat_t* pNt4gaStat, const uint64_t *ids, uint64_t *values, unsigned n, bool is_vswitch, uint8_t port);

#endif

